# getValue

## Description

Returns the value of the component specified by the user. The component value can be displayed in another component using the [`setValue`](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/006-actions-and-visual-logic/action-reference/react-native/Component/getValue/setValue/README.md) function.

## Input / Parameter

| Name        | Description                                                          | Input Type  | Default | Options | Required                       |
| ----------- | -------------------------------------------------------------------- | ----------- | ------- | ------- | ------------------------------ |
| component   | The name of the component that the value is retrieved from.          | String/Text | -       | -       | Yes, if componentId is not set |
| componentId | The component ID to get value from (for components in FlatList item) | String/Text | -       | -       | Yes, if component is not set   |

## Output

| Description                                   | Output Type |
| --------------------------------------------- | ----------- |
| Returns the value of the component specified. | String/Text |

## Example

In this example, we will get the component value of an input field using `Component.getValue` and print it to the console.

### Steps

1. First we drag an input box onto the page. We will name it "InputBox" with the value "This is an input field".

   ![](/files/VIIAjttATEHLLyxyK90u)
2. We want to get the value of "InputBox" and display it in the browser console with the help of the `Console.write` helper function.
3. Drag `Component.getValue` into the event flow, and specify the name of the component, which in this case is "InputBox".

   ![](/files/S3nzYoh2fznKp0SNqIoH)

### Result

1. The value of "InputBox" will be displayed in the browser console.

   ![](/files/lEDhfEPibcDGPQD0oafu)

## Links

### Related Information

See also:

* Functions
  * [Component.setValue](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/gitbook/2-5-actions-and-visual-logic/action-reference/react-native/Component/setValue/README.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/react-native/component/getvalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
